Update Ticket
Update an existing ticket.
curl --request PUT \
--url https://public.api.serval.com/v2/tickets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"statusId": "<string>",
"priorityId": "<string>",
"assignedToUserId": "<string>",
"labelIds": [
"<string>"
],
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"requesterUserId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"waitUntil": "2023-11-07T05:31:56Z",
"nameTranslations": {},
"descriptionTranslations": {},
"categoryOptionId": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/tickets/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"statusId": "<string>",
"priorityId": "<string>",
"assignedToUserId": "<string>",
"labelIds": ["<string>"],
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"requesterUserId": "<string>",
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"waitUntil": "2023-11-07T05:31:56Z",
"nameTranslations": {},
"descriptionTranslations": {},
"categoryOptionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
statusId: '<string>',
priorityId: '<string>',
assignedToUserId: '<string>',
labelIds: ['<string>'],
slaStartedAt: '2023-11-07T05:31:56Z',
slaBreachesAt: '2023-11-07T05:31:56Z',
requesterUserId: '<string>',
dueDate: {year: 123, month: 123, day: 123},
waitUntil: '2023-11-07T05:31:56Z',
nameTranslations: {},
descriptionTranslations: {},
categoryOptionId: '<string>'
})
};
fetch('https://public.api.serval.com/v2/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"friendlyIdentifier": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"assignedToUserId": "<string>",
"requesterUserId": "<string>",
"statusId": "<string>",
"priorityId": "<string>",
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"labelIds": [
"<string>"
],
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"childTicketIds": [
"<string>"
],
"linkedTicketIds": [
"<string>"
],
"duplicateTicketIds": [
"<string>"
],
"dependsOnTicketIds": [
"<string>"
],
"parentTicketId": "<string>",
"conversationThreadTicketIds": [
"<string>"
],
"conversationThreadParentTicketId": "<string>",
"nameTranslations": {},
"descriptionTranslations": {},
"categoryOptionId": "<string>"
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
Deprecated: escalation level is now automatically managed by assignment. Assigning to a user escalates to HUMAN; assigning to the system user de-escalates to AI. This field still works but will be removed in a future API version.
AI, HUMAN Optional. Due date (date only, no time component). Set to a date to update the due date. Set to an empty/zero date (year=0, month=0, day=0) to clear the due date.
Show child attributes
Show child attributes
Optional. Timestamp until which this ticket is waiting. Set to a future timestamp to block, set to a zero/past timestamp to clear.
Upserts the provided translations (only touches languages included). A language with empty string value deletes that translation. When nil (not sent), existing translations are unchanged.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional. The category option ID to set on the ticket. May be a top-level category or any nested subcategory option. Set to an empty string to clear the ticket's category.
Response
Success
Show child attributes
Show child attributes
Was this page helpful?

